Bug 784896 - Content UI slow
Content UI slow
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-26 10:30 EST by Heiko W. Rupp
Modified: 2012-02-16 13:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-01-26 10:30:43 EST
Description of problem:

Click on the content tab of a resource that has one. Wait 5-7 seconds until you see the content of the tab show up. This is true if only a base version is deployed (no loading of hundreds of packages).
Click on the history subtab. Another 5-7 sec wait

[16:25:00] <@ccrouch> pilhuhn: is this a slow down from previous versions, if you recall
[16:25:35] <pilhuhn> yes, as in the previous version the whole UI was jsf and thus no integration was needed. The GWT->JSF integration is killing it.
[16:26:35] <pilhuhn> In the past we thought we'd get rid of content, so we did not bother to move it to GWT, but now that this becomes even more a 1st class citizen, it is a usability issue
[16:26:47] <pilhuhn> And this issue occurs even with 0 items
[16:27:04] <pilhuhn> when trying to deploy a new content to a .war file
[16:27:32] ldimaggi_mtg3 is now known as ldimaggi_
[16:27:53] <ips> pilhuhn: i've noticed the Monitor>Graphs subtab loads slower than it used to as well
[16:28:28] <ips> i don't understand why though. i wouldn't think using an iframe would add too much overhead
[16:28:41] <pilhuhn> ips slower as in post jon3 , or as in jon 2.4 ? The latter is known unfortunately.
[16:29:22] <ips> slower in jon3 than in 2.4
[16:29:31] <ips> ie - slower in the new GUI
[16:30:22] <pilhuhn> ips Yes, this is what I mean too. I thought you meant slower than what it was at the beginning of the new UI




See also Monitor->Graphs subtab
Comment 1 Mike Foley 2012-01-30 11:43:07 EST
setting priority per 12/30/2012 BZ triage mfoley, ccrouch, loleary, asantos

Note You need to log in before you can comment on or make changes to this bug.